pg_verify_checksums
Prev | Up | PostgreSQL Server Applications | Home | Next

## pg_verify_checksums

pg_verify_checksums — verify data checksums in a PostgreSQL database cluster

## Synopsis

`pg_verify_checksums` [`option`...] [[ `-D` | `--pgdata` ]`datadir`]

## Description

`pg_verify_checksums` verifies data checksums in a PostgreSQL cluster. The server must be shut down cleanly before running pg_verify_checksums. The exit status is zero if there are no checksum errors, otherwise nonzero.

## Options

The following command-line options are available:

`-D `directory``
`--pgdata=`directory``

  Specifies the directory where the database cluster is stored.

`-v`
`--verbose`

  Enable verbose output. Lists all checked files.

`-r `relfilenode``

  Only validate checksums in the relation with specified relfilenode.

`-V`
`--version`

  Print the pg_verify_checksums version and exit.

`-?`
`--help`

  Show help about pg_verify_checksums command line arguments, and exit.

## Environment

`PGDATA`

  Specifies the directory where the database cluster is stored; can be overridden using the `-D` option.

Prev | Up | Next
pg_upgrade | Home | pg_waldump